Metrics
POST
/api/v1/metrics/generate

Use an LLM to suggest a metric definition. Does NOT persist anything.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for AI-generated metric suggestion.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/metrics/generate" \  -H "Content-Type: application/json" \  -d '{    "mode": "description"  }'
{  "name": "string",  "description": "string",  "metric_type": "rating",  "custom_data_type": "boolean",  "custom_config": {},  "supported_surfaces": [    "string"  ],  "enabled_surfaces": [    "string"  ],  "suggested_tags": [],  "provider": "string",  "model": "string"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!